server.port=8085

service.storage.minio.url=${MINIO_URL:http://localhost:9091}
service.storage.minio.credential.clientId=${MINIO_CLIENT_ID:minio}
service.storage.minio.credential.clientSecret=${MINIO_CLIENT_SECRET:PnKa8PqxxjXS1xc9Zzz400XUjOrnrIw5}
service.storage.minio.jwt.expiry=86400
service.storage.minio.admin.credentials.access_key=${MINIO_ACCESS_TOKEN:y1p3EgfPQUhzOHgji2Jk}
service.storage.minio.admin.credentials.secret_key=${MINIO_SECRET_KEY:SSP3hpR51TmaUIAJ2BWBoJf34bQUzNOF1j2VqUd7}

jwt.auth.converter.resource-id=${RESOURCE_ID:minio}
jwt.auth.converter.principal-attribute=preferred_username

spring.security.oauth2.resourceserver.jwt.issuer-uri=${ISSUER_URI:http://localhost:8081/realms/master}
spring.security.oauth2.resourceserver.jwt.jwk-set-uri=${ISSUER_JWK_URI:http://localhost:8081/realms/master/protocol/openid-connect/certs}
